MapGuide RFC 155 - Upgrade Apache, Tomcat and PHP

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

MapGuide RFC 155 - Upgrade Apache, Tomcat and PHP

Jackie Ng
Hi All,

I've put up a new RFC for review.

https://trac.osgeo.org/mapguide/wiki/MapGuideRfc155

Comments/feedback appreciated.

- Jackie
Reply | Threaded
Open this post in threaded view
|

Re: MapGuide RFC 155 - Upgrade Apache, Tomcat and PHP

Crispin_at_Linknode
+1

Were there previous problems in relating to a PHP upgrade?  Will this hit the same issues?
Reply | Threaded
Open this post in threaded view
|

Re: MapGuide RFC 155 - Upgrade Apache, Tomcat and PHP

Jackie Ng
That thread (http://osgeo-org.1560.x6.nabble.com/MSVC-2015-and-Apache-PHP-on-Windows-tp5237595.html) was about what to do given MGOS 3.1 release will now be using MSVC 2015 and there are no equivalent MSVC 2015 builds of PHP to match. In the past, we've been fortunate that official windows builds of PHP used the same MSVC compiler version that MapGuide was on.

Technically speaking, this isn't a deal breaker, as Apache/PHP integrate with MapGuide through C (and not C++) APIs, the difference in MSVC compilers used to build the various bits should not matter. Since nobody responded on that thread, my stance has been to leave things as they are (staying on our current major.minor versions of Apache/PHP/Tomcat). This RFC is just to make sure we are on the latest point releases of the respective web tier components.

The only real consequence here is that the windows installer for 3.1 will be bloated up a bit to include MSVC redist installers for both 2012 and 2015.

- Jackie